# class Gem::NoAliasYAMLTree

### Public Class Methods

create() click to toggle source

    # File lib/rubygems/psych_tree.rb, line 6
    def self.create
      new({})
    end

### Public Instance Methods

register(target, obj) click to toggle source

Noop this out so there are no anchors

    # File lib/rubygems/psych_tree.rb, line 18
    def register(target, obj)
    end

visit_String(str) click to toggle source
Calls superclass method `Psych::Visitors::YAMLTree#visit_String`

    # File lib/rubygems/psych_tree.rb, line 10
    def visit_String(str)
      return super unless str == "=" # or whatever you want

      quote = Psych::Nodes::Scalar::SINGLE_QUOTED
      @emitter.scalar str, nil, nil, false, true, quote
    end

### Private Instance Methods

format_time(time) click to toggle source

This is ported over from the yaml_tree in 1.9.3

    # File lib/rubygems/psych_tree.rb, line 22
    def format_time(time)
      if time.utc?
        time.strftime("%Y-%m-%d %H:%M:%S.%9N Z")
      else
        time.strftime("%Y-%m-%d %H:%M:%S.%9N %:z")
      end
    end